%define modname moksha.common

Name:           python-moksha-common
Version:        1.2.5
Release:        %mkrel 11
Summary:        Common components for Moksha

Group:          Development/Python
License:        ASL 2.0 or MIT
URL:            https://pypi.org/project/moksha.common
Source0:        https://files.pythonhosted.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%description
Common components for Moksha.

%package -n python3-moksha-common
Summary:        Common components for Moksha
Group:          Development/Python
%{?python_provide:%python_provide python3-%{modname}}
%{?python_provide:%python_provide python3-moksha-common}

%description -n python3-moksha-common
Common components for Moksha.

%prep
%setup -q -n %{modname}-%{version}
rm -rf *.egg*

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files moksha

%check
%tox


%files -n python3-moksha-common -f %{pyproject_files}
%doc README COPYING AUTHORS
%{_bindir}/moksha
%{python3_sitelib}/moksha.common-*-nspkg.pth


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.2.5-11.mga10
+ Revision: 2241056
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.2.5-10.mga10
+ Revision: 2158389
- rebuild for python3.13

* Sun Feb 18 2024 papoteur <papoteur> 1.2.5-9.mga10
+ Revision: 2042309
- rebuild for python 3.12
- use pyproject
- Mass Rebuild - Python 3.12

* Fri Mar 25 2022 umeabot <umeabot> 1.2.5-7.mga9
+ Revision: 1825691
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.2.5-6.mga9
+ Revision: 1783791
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.2.5-5.mga9
+ Revision: 1733312
- Rebuild for python 3.9

* Mon Jan 11 2021 wally <wally> 1.2.5-4.mga8
+ Revision: 1671117
- provide and obsolete old python-moksha-common

* Sun Feb 16 2020 umeabot <umeabot> 1.2.5-3.mga8
+ Revision: 1533049
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.2.5-2.mga8
+ Revision: 1443262
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.2.5-1.mga7
+ Revision: 1353359
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.4-4.mga7
+ Revision: 1289195
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.4-3.mga7
+ Revision: 1135499
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.2.4-2.mga6
+ Revision: 972473
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 1.2.4-1.mga6
+ Revision: 898882
- update to 1.2.4, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-4.mga5
+ Revision: 742459
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.3-3.mga5
+ Revision: 729091
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-2.mga5
+ Revision: 688157
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 1.2.3-1.mga5
+ Revision: 638994
- update to 1.2.3
+ pterjan <pterjan>
- Rebuild for new Python

* Sat Feb 22 2014 philippem <philippem> 1.2.1-1.mga5
+ Revision: 595631
- imported package python-moksha-common

